com.independentsoft.exchange

## Class ExchangeProxyProtocol

- java.lang.Object
- - com.independentsoft.exchange.ExchangeProxyProtocol

-     public class ExchangeProxyProtocol
      extends java.lang.Object

  Contains the protocol that is used to connect to the server is Exchange RPC over HTTP, using an RPC proxy server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExchangeProxyProtocol()` Initializes a new instance of the ExchangeProxyProtocol class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActiveDirectory()` Gets the active directory.
    `AuthenticationPackage` | `getAuthenticationPackage()` Gets the authentication scheme that is used when authenticating against the computer that is running Microsoft Exchange Server that has the Mailbox server role installed.
    `java.lang.String` | `getAvailabilityServiceUrl()` Gets the URL of the best instance of the Exchange Web Services for a mail-enabled user.
    `java.lang.String` | `getExchangeControlPanelEmailAggregationUrl()` In conjunction with the element, gets the landing page path for e-mail aggregation.
    `java.lang.String` | `getExchangeControlPanelMessageTrackingUrl()` In conjunction with the element, gets the landing page path for E-Message Tracking.
    `java.lang.String` | `getExchangeControlPanelRetentionTagsUrl()` In conjunction with the element, gets the landing page path for retention tags.
    `java.lang.String` | `getExchangeControlPanelTextMessagingUrl()` In conjunction with the element, gets the landing page path for Mobile Notifications/ Short Message Service (SMS).
    `java.lang.String` | `getExchangeControlPanelUnifiedMessagingUrl()` In conjunction with the element, gets the landing page path for voice mail.
    `java.lang.String` | `getExchangeControlPanelUrl()` Gets the the base Exchange Control Panel (ECP) URL.
    `java.lang.String` | `getExchangeWebServiceUrl()` Gets the URL for the Web services virtual directory.
    `java.lang.String` | `getMailboxDatabaseLegacyDN()` Gets the distinguished name of the mailbox database.
    `java.lang.String` | `getOfflineAddressBookUrl()` Gets the Offline Address Book configuration server URL for an Exchange topology.
    `java.lang.String` | `getOutOfOfficeUrl()` Gets the URL of the best instance of the Availability service for a mail-enabled user.
    `java.lang.String` | `getPublicFolderServer()` Gets the fully qualified domain name (FQDN) of an Exchange Mailbox server that has a public folder database.
    `java.lang.String` | `getServer()` Gets the name of the mail server.
    `java.lang.String` | `getServerDN()` Gets the distinguished name of the computer that is running Microsoft Exchange Server.
    `java.lang.String` | `getServerVersion()` Gets the version number of the computer that is running Microsoft Exchange Server.
    `ProtocolType` | `getType()` Gets the type of the configured mail account.
    `java.lang.String` | `getUnifiedMessagingServiceUrl()` Gets the URL of the best instance of the Unified Messaging Web service for a mail-enabled user.
    `boolean` | `isSslEnabled()` Gets whether secure logon is required.
    `void` | `setActiveDirectory(java.lang.String activeDirectory)` Sets the active directory.
    `void` | `setAuthenticationPackage(AuthenticationPackage authenticationPackage)` Sets the authentication scheme that is used when authenticating against the computer that is running Microsoft Exchange Server that has the Mailbox server role installed.
    `void` | `setAvailabilityServiceUrl(java.lang.String availabilityServiceUrl)` Sets the URL of the best instance of the Exchange Web Services for a mail-enabled user.
    `void` | `setExchangeControlPanelEmailAggregationUrl(java.lang.String exchangeControlPanelEmailAggregationUrl)` In conjunction with the element, sets the landing page path for e-mail aggregation.
    `void` | `setExchangeControlPanelMessageTrackingUrl(java.lang.String exchangeControlPanelMessageTrackingUrl)` In conjunction with the element, sets the landing page path for E-Message Tracking.
    `void` | `setExchangeControlPanelRetentionTagsUrl(java.lang.String exchangeControlPanelRetentionTagsUrl)` In conjunction with the element, sets the landing page path for retention tags.
    `void` | `setExchangeControlPanelTextMessagingUrl(java.lang.String exchangeControlPanelTextMessagingUrl)` In conjunction with the element, sets the landing page path for Mobile Notifications/ Short Message Service (SMS).
    `void` | `setExchangeControlPanelUnifiedMessagingUrl(java.lang.String exchangeControlPanelUnifiedMessagingUrl)` In conjunction with the element, sets the landing page path for voice mail.
    `void` | `setExchangeControlPanelUrl(java.lang.String exchangeControlPanelUrl)` Sets the the base Exchange Control Panel (ECP) URL.
    `void` | `setExchangeWebServiceUrl(java.lang.String exchangeWebServiceUrl)` Sets the URL for the Web services virtual directory.
    `void` | `setMailboxDatabaseLegacyDN(java.lang.String mailboxDatabaseLegacyDN)` Sets the distinguished name of the mailbox database.
    `void` | `setOfflineAddressBookUrl(java.lang.String offlineAddressBookUrl)` Sets the Offline Address Book configuration server URL for an Exchange topology.
    `void` | `setOutOfOfficeUrl(java.lang.String outOfOfficeUrl)` Sets the URL of the best instance of the Availability service for a mail-enabled user.
    `void` | `setPublicFolderServer(java.lang.String publicFolderServer)` Sets the fully qualified domain name (FQDN) of an Exchange Mailbox server that has a public folder database.
    `void` | `setServer(java.lang.String server)` Sets the name of the mail server.
    `void` | `setServerDN(java.lang.String serverDN)` Sets the distinguished name of the computer that is running Microsoft Exchange Server.
    `void` | `setServerVersion(java.lang.String serverVersion)` Sets the version number of the computer that is running Microsoft Exchange Server.
    `void` | `setSslEnabled(boolean sslEnabled)` Sets whether secure logon is required.
    `void` | `setUnifiedMessagingServiceUrl(java.lang.String unifiedMessagingServiceUrl)` Sets the URL of the best instance of the Unified Messaging Web service for a mail-enabled user.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExchangeProxyProtocol

          public ExchangeProxyProtocol()

      Initializes a new instance of the ExchangeProxyProtocol class.

  - ### Method Detail

    - #### getType

          public ProtocolType getType()

      Gets the type of the configured mail account.
      Returns:
        the type

    - #### getAuthenticationPackage

          public AuthenticationPackage getAuthenticationPackage()

      Gets the authentication scheme that is used when authenticating against the computer that is running Microsoft Exchange Server that has the Mailbox server role installed.
      Returns:
        the authentication package

    - #### setAuthenticationPackage

          public void setAuthenticationPackage(AuthenticationPackage authenticationPackage)

      Sets the authentication scheme that is used when authenticating against the computer that is running Microsoft Exchange Server that has the Mailbox server role installed.
      Parameters:
        `authenticationPackage` - the new authentication package

    - #### getServer

          public java.lang.String getServer()

      Gets the name of the mail server.
      Returns:
        the server

    - #### setServer

          public void setServer(java.lang.String server)

      Sets the name of the mail server.
      Parameters:
        `server` - the new server

    - #### getServerDN

          public java.lang.String getServerDN()

      Gets the distinguished name of the computer that is running Microsoft Exchange Server.
      Returns:
        the server dn

    - #### setServerDN

          public void setServerDN(java.lang.String serverDN)

      Sets the distinguished name of the computer that is running Microsoft Exchange Server.
      Parameters:
        `serverDN` - the new server dn

    - #### getServerVersion

          public java.lang.String getServerVersion()

      Gets the version number of the computer that is running Microsoft Exchange Server.
      Returns:
        the server version

    - #### setServerVersion

          public void setServerVersion(java.lang.String serverVersion)

      Sets the version number of the computer that is running Microsoft Exchange Server.
      Parameters:
        `serverVersion` - the new server version

    - #### getActiveDirectory

          public java.lang.String getActiveDirectory()

      Gets the active directory.
      Returns:
        the active directory

    - #### setActiveDirectory

          public void setActiveDirectory(java.lang.String activeDirectory)

      Sets the active directory.
      Parameters:
        `activeDirectory` - the new active directory

    - #### getMailboxDatabaseLegacyDN

          public java.lang.String getMailboxDatabaseLegacyDN()

      Gets the distinguished name of the mailbox database.
      Returns:
        the mailbox database legacy dn

    - #### setMailboxDatabaseLegacyDN

          public void setMailboxDatabaseLegacyDN(java.lang.String mailboxDatabaseLegacyDN)

      Sets the distinguished name of the mailbox database.
      Parameters:
        `mailboxDatabaseLegacyDN` - the new mailbox database legacy dn

    - #### getAvailabilityServiceUrl

          public java.lang.String getAvailabilityServiceUrl()

      Gets the URL of the best instance of the Exchange Web Services for a mail-enabled user.
      Returns:
        the availability service url

    - #### setAvailabilityServiceUrl

          public void setAvailabilityServiceUrl(java.lang.String availabilityServiceUrl)

      Sets the URL of the best instance of the Exchange Web Services for a mail-enabled user.
      Parameters:
        `availabilityServiceUrl` - the new availability service url

    - #### getExchangeWebServiceUrl

          public java.lang.String getExchangeWebServiceUrl()

      Gets the URL for the Web services virtual directory.
      Returns:
        the exchange web service url

    - #### setExchangeWebServiceUrl

          public void setExchangeWebServiceUrl(java.lang.String exchangeWebServiceUrl)

      Sets the URL for the Web services virtual directory.
      Parameters:
        `exchangeWebServiceUrl` - the new exchange web service url

    - #### getUnifiedMessagingServiceUrl

          public java.lang.String getUnifiedMessagingServiceUrl()

      Gets the URL of the best instance of the Unified Messaging Web service for a mail-enabled user.
      Returns:
        the unified messaging service url

    - #### setUnifiedMessagingServiceUrl

          public void setUnifiedMessagingServiceUrl(java.lang.String unifiedMessagingServiceUrl)

      Sets the URL of the best instance of the Unified Messaging Web service for a mail-enabled user.
      Parameters:
        `unifiedMessagingServiceUrl` - the new unified messaging service url

    - #### getOutOfOfficeUrl

          public java.lang.String getOutOfOfficeUrl()

      Gets the URL of the best instance of the Availability service for a mail-enabled user.
      Returns:
        the out of office url

    - #### setOutOfOfficeUrl

          public void setOutOfOfficeUrl(java.lang.String outOfOfficeUrl)

      Sets the URL of the best instance of the Availability service for a mail-enabled user.
      Parameters:
        `outOfOfficeUrl` - the new out of office url

    - #### getOfflineAddressBookUrl

          public java.lang.String getOfflineAddressBookUrl()

      Gets the Offline Address Book configuration server URL for an Exchange topology.
      Returns:
        the offline address book url

    - #### setOfflineAddressBookUrl

          public void setOfflineAddressBookUrl(java.lang.String offlineAddressBookUrl)

      Sets the Offline Address Book configuration server URL for an Exchange topology.
      Parameters:
        `offlineAddressBookUrl` - the new offline address book url

    - #### isSslEnabled

          public boolean isSslEnabled()

      Gets whether secure logon is required.
      Returns:
        true, if is ssl enabled

    - #### setSslEnabled

          public void setSslEnabled(boolean sslEnabled)

      Sets whether secure logon is required.
      Parameters:
        `sslEnabled` - the new ssl enabled

    - #### getExchangeControlPanelUrl

          public java.lang.String getExchangeControlPanelUrl()

      Gets the the base Exchange Control Panel (ECP) URL.
      Returns:
        the exchange control panel url

    - #### setExchangeControlPanelUrl

          public void setExchangeControlPanelUrl(java.lang.String exchangeControlPanelUrl)

      Sets the the base Exchange Control Panel (ECP) URL.
      Parameters:
        `exchangeControlPanelUrl` - the new exchange control panel url

    - #### getExchangeControlPanelUnifiedMessagingUrl

          public java.lang.String getExchangeControlPanelUnifiedMessagingUrl()

      In conjunction with the element, gets the landing page path for voice mail.
      Returns:
        the exchange control panel unified messaging url

    - #### setExchangeControlPanelUnifiedMessagingUrl

          public void setExchangeControlPanelUnifiedMessagingUrl(java.lang.String exchangeControlPanelUnifiedMessagingUrl)

      In conjunction with the element, sets the landing page path for voice mail.
      Parameters:
        `exchangeControlPanelUnifiedMessagingUrl` - the new exchange control panel unified messaging url

    - #### getExchangeControlPanelEmailAggregationUrl

          public java.lang.String getExchangeControlPanelEmailAggregationUrl()

      In conjunction with the element, gets the landing page path for e-mail aggregation.
      Returns:
        the exchange control panel email aggregation url

    - #### setExchangeControlPanelEmailAggregationUrl

          public void setExchangeControlPanelEmailAggregationUrl(java.lang.String exchangeControlPanelEmailAggregationUrl)

      In conjunction with the element, sets the landing page path for e-mail aggregation.
      Parameters:
        `exchangeControlPanelEmailAggregationUrl` - the new exchange control panel email aggregation url

    - #### getExchangeControlPanelTextMessagingUrl

          public java.lang.String getExchangeControlPanelTextMessagingUrl()

      In conjunction with the element, gets the landing page path for Mobile Notifications/ Short Message Service (SMS).
      Returns:
        the exchange control panel text messaging url

    - #### setExchangeControlPanelTextMessagingUrl

          public void setExchangeControlPanelTextMessagingUrl(java.lang.String exchangeControlPanelTextMessagingUrl)

      In conjunction with the element, sets the landing page path for Mobile Notifications/ Short Message Service (SMS).
      Parameters:
        `exchangeControlPanelTextMessagingUrl` - the new exchange control panel text messaging url

    - #### getExchangeControlPanelMessageTrackingUrl

          public java.lang.String getExchangeControlPanelMessageTrackingUrl()

      In conjunction with the element, gets the landing page path for E-Message Tracking.
      Returns:
        the exchange control panel message tracking url

    - #### setExchangeControlPanelMessageTrackingUrl

          public void setExchangeControlPanelMessageTrackingUrl(java.lang.String exchangeControlPanelMessageTrackingUrl)

      In conjunction with the element, sets the landing page path for E-Message Tracking.
      Parameters:
        `exchangeControlPanelMessageTrackingUrl` - the new exchange control panel message tracking url

    - #### getExchangeControlPanelRetentionTagsUrl

          public java.lang.String getExchangeControlPanelRetentionTagsUrl()

      In conjunction with the element, gets the landing page path for retention tags.
      Returns:
        the exchange control panel retention tags url

    - #### setExchangeControlPanelRetentionTagsUrl

          public void setExchangeControlPanelRetentionTagsUrl(java.lang.String exchangeControlPanelRetentionTagsUrl)

      In conjunction with the element, sets the landing page path for retention tags.
      Parameters:
        `exchangeControlPanelRetentionTagsUrl` - the new exchange control panel retention tags url

    - #### getPublicFolderServer

          public java.lang.String getPublicFolderServer()

      Gets the fully qualified domain name (FQDN) of an Exchange Mailbox server that has a public folder database.
      Returns:
        the public folder server

    - #### setPublicFolderServer

          public void setPublicFolderServer(java.lang.String publicFolderServer)

      Sets the fully qualified domain name (FQDN) of an Exchange Mailbox server that has a public folder database.
      Parameters:
        `publicFolderServer` - the new public folder server